version: "2.1"
networks:
  matchmaking:

services:
  needs-matchmaking:
    networks:
      matchmaking:
    image: kawalcovid19.azurecr.io/needs-matchmaking:latest
    ports:
      - "8080:80"
    environment:
      - PROJECT=needs-match-making-api
      - STAGE=dev
      - PORT=80
      - DB_DATABASE=dbname
      - DB_USERNAME=user
      - DB_PASSWORD=pass
      - DB_HOST=dbhost
      - DB_SSL=dbssl
      - DB_PORT=dbport
      - APIKEY=apikey
      - TOKENEXPIRYINHOUR=tokenexpiry
      - JWTSIGNATUREKEY=tokensignature
      - TOKENISSUER=tokenissuer
      - JWTAUTHENABLE=jwtauth
